<seelog type="asynctimer" asyncinterval="1000">
    <outputs>

        <!-- Exclude global log settings -->
        <!--<exceptions>-->
            <!--<exception funcpattern="*seelog.main.test1*" minlevel="info"/>-->
            <!--<exception funcpattern="*seelog.main.test2*" minlevel="debug"/>-->
            <!--<exception filepattern="*main.go" minlevel="debug"/>-->
        <!--</exceptions>-->

        <filter levels="trace, debug">
            <console formatid="dtLevelFmt" />

        </filter>
        <filter levels="info, warn">
            <console formatid="iwLevelFmt" />

        </filter>
        <filter levels="error, critical">
            <console formatid="ecLevelFmt" />

        </filter>
        <!--<console formatid="basic" />-->
        <rollingfile formatid="basic" type="date" filename="./bin/logs/log" maxrolls="5" archiveexploded="true"
                     datepattern="02.01.2006" archivetype="zip" fullname="true" archivepath="./bin/logs/archives/"/>
    </outputs>
    <formats>
        <format id="basic" format="%Date/%Time [%LEV] %File:%Line %Func()-%Msg%n"/>
        <format id="dtLevelFmt" format="%EscM(34)%Date/%Time [%LEV] %File:%Line %Func()-%Msg%n"/>
        <format id="iwLevelFmt" format="%EscM(35)%Date/%Time [%LEV] %File:%Line %Func()-%Msg%n"/>
        <format id="ecLevelFmt" format="%EscM(31)%Date/%Time [%LEV] %File:%Line %Func()-%Msg%n"/>
    </formats>
</seelog>
